/**
 * Schnittstelle fr eine Methode mit Rckgabetyp void
 * und Parametern vom Typ String.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-07
 */
public interface Befehl
{
    /**
     * Befehlsmethode.
     * Fhre den Befehl fr den Eintrag aus.
     * 
     * @param dieserEintrag Eintrag, fr den der Befehl ausgefhrt werden soll.
     * @param zeichenkette Ein Feld von Zeichenketten als Befehlparameter.
     */
    void fuehreAus (Eintrag dieserEintrag, String[] zeichenkette);
}