/**
 * Befehlsklasse fr die Methode faerbeHaare () der Klasse Person.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-07
 */
public class FaerbeHaare implements Befehl
{
    /**
     * Wenn "dieserEintrag" eine Person ist, frbe ihre Haare
     * in "neueHaarfarbe".
     * 
     * @param dieserEintrag Eintrag, fr den der Befehl ausgefhrt werden soll.
     * @param neueHaarfarbe Die neue Haarfarbe.
     */
    public void fuehreAus (Eintrag dieserEintrag, String[] neueHaarfarbe)
    {
        if (dieserEintrag instanceof Person)
        {
            if (neueHaarfarbe.length > 0)
            {
                ((Person) dieserEintrag).faerbeHaare (neueHaarfarbe[0]);
            }
        }
    }
}
