/**
 * Weibliches Piktogramm.
 * 
 * @author Bernd Gramlich 
 * @version 2015-12-02
 */
public class Frau extends Person
{
    /**
     * Konstruktor.
     * Erzeuge ein weibliches Piktogramm der Strichstrke a
     * an der Position (x|y) mit den gewnschten Farben.
     */
    public Frau (int a, int x, int y, String name,
                 String hautfarbe, String haarfarbe, String schuhfarbe,
                 String kleiderfarbe1, String kleiderfarbe2, String kleiderfarbe3)
    {
        super (a, x, y, name, hautfarbe, haarfarbe, schuhfarbe,
               kleiderfarbe1, kleiderfarbe2, kleiderfarbe3);
        
        langhaar.ergaenzeEcke (x + 12*a, y +  8*a);
        langhaar.ergaenzeEcke (x + 12*a, y + 18*a);
        langhaar.ergaenzeEcke (x + 28*a, y + 18*a);
        langhaar.ergaenzeEcke (x + 28*a, y +  8*a);
        
        jacket.ergaenzeEcke (x + 18*a, y + 18*a);
        jacket.ergaenzeEcke (x + 11*a, y + 20*a);
        jacket.ergaenzeEcke (x +  6*a, y + 37*a);
        jacket.ergaenzeEcke (x + 10*a, y + 39*a);
        jacket.ergaenzeEcke (x + 13*a, y + 28*a);
        jacket.ergaenzeEcke (x + 15*a, y + 38*a);
        jacket.ergaenzeEcke (x + 25*a, y + 38*a);
        jacket.ergaenzeEcke (x + 27*a, y + 28*a);
        jacket.ergaenzeEcke (x + 30*a, y + 39*a);
        jacket.ergaenzeEcke (x + 34*a, y + 37*a);
        jacket.ergaenzeEcke (x + 29*a, y + 20*a);
        jacket.ergaenzeEcke (x + 22*a, y + 18*a);
        
        hand1.ergaenzeEcke (x +  6*a, y + 37*a);
        hand1.ergaenzeEcke (x + 10*a, y + 39*a);
        hand1.ergaenzeEcke (x +  9*a, y + 43*a);
        hand1.ergaenzeEcke (x +  5*a, y + 41*a);
        
        hand2.ergaenzeEcke (x + 34*a, y + 37*a);
        hand2.ergaenzeEcke (x + 30*a, y + 39*a);
        hand2.ergaenzeEcke (x + 31*a, y + 43*a);
        hand2.ergaenzeEcke (x + 35*a, y + 41*a);
        
        kragen.ergaenzeEcke (x + 18*a, y + 16*a);
        kragen.ergaenzeEcke (x + 18*a, y + 20*a);
        kragen.ergaenzeEcke (x + 20*a, y + 26*a);
        kragen.ergaenzeEcke (x + 22*a, y + 20*a);
        kragen.ergaenzeEcke (x + 22*a, y + 16*a);
        kragen.setzeFarbe (hautfarbe);
        
        hose.ergaenzeEcke (x + 15*a, y + 38*a);
        hose.ergaenzeEcke (x + 10*a, y + 74*a);
        hose.ergaenzeEcke (x + 14*a, y + 74*a);
        hose.ergaenzeEcke (x + 20*a, y + 46*a);
        hose.ergaenzeEcke (x + 26*a, y + 74*a);
        hose.ergaenzeEcke (x + 30*a, y + 74*a);
        hose.ergaenzeEcke (x + 25*a, y + 38*a);
        
        rock.ergaenzeEcke (x + 15*a, y + 38*a);
        rock.ergaenzeEcke (x +  8*a, y + 56*a);
        rock.ergaenzeEcke (x + 32*a, y + 56*a);
        rock.ergaenzeEcke (x + 25*a, y + 38*a);
        
        schuh1.ergaenzeEcke (x + 10*a, y + 74*a);
        schuh1.ergaenzeEcke (x +  6*a, y + 80*a);
        schuh1.ergaenzeEcke (x +  8*a, y + 80*a);
        schuh1.ergaenzeEcke (x + 12*a, y + 78*a);
        schuh1.ergaenzeEcke (x + 12*a, y + 80*a);
        schuh1.ergaenzeEcke (x + 14*a, y + 80*a);
        schuh1.ergaenzeEcke (x + 14*a, y + 74*a);
        
        schuh2.ergaenzeEcke (x + 30*a, y +  74*a);
        schuh2.ergaenzeEcke (x + 34*a, y +  80*a);
        schuh2.ergaenzeEcke (x + 32*a, y +  80*a);
        schuh2.ergaenzeEcke (x + 28*a, y +  78*a);
        schuh2.ergaenzeEcke (x + 28*a, y +  80*a);
        schuh2.ergaenzeEcke (x + 26*a, y +  80*a);
        schuh2.ergaenzeEcke (x + 26*a, y +  74*a);
        
        werdeSichtbar ();
    }
    
    /**
     * Besttige, dass dieses Piktogramm weiblich ist.
     */
    public boolean istWeiblich ()
    {
        return true;
    }
}
