/**
 * Eigenschaftsklasse fr die Methode istWeiblich () der Klasse Person.
 * 
 * @author Bernd Gramlich 
 * @version 2012-12-07
 */
public class IstWeiblich implements Eigenschaft
{
    /**
     * Prfe, ob "dieserEintrag" eine weibliche Person ist.
     * 
     * @param dieserEintrag Eintrag, der geprft werden soll.
     * @return true, wenn "dieserEintrag" eine weibliche Person ist.
     */
    public boolean hatEigenschaft (Eintrag dieserEintrag) 
    {
        if (dieserEintrag instanceof Person)
        {
            /*
             * Wenn dieser Eintrag eine Person ist, prfe, ob
             * sie weiblich ist.
             */
            return ((Person) dieserEintrag).istWeiblich ();
        }
        else
        {
            /*
             * Wenn keine Person vorliegt, melde falsch.
             */
            return false;
        }
    }
}
